FinWise API
SupportChangelog

Aggregate balances

Time series of latest balances, converted into one currency. This is the net-worth chart the apps use.

Query parameters

currencyCodestring
Currency to convert into.
timezonenullable string
IANA timezone. Defaults to the user’s timezone.
splitByTransactionTypenullable boolean
When true (default), returns assets and liabilities separately. Pass false for a single net series.
filtersnullable object
Same filters as list balances.
GET/account-balances/aggregated3?currencyCode=USD
curl https://api.finwiseapp.io/account-balances/aggregated3?currencyCode=USD \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-balances/aggregated3?currencyCode=USD', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
[
{
"date": "2026-03-01T00:00:00.000Z",
"amount": 12450.2,
"transactionType": "credit"
},
{
"date": "2026-03-01T00:00:00.000Z",
"amount": -3432,
"transactionType": "debit"
}
]